/*
--- 01 TYPOGRAPHY SYSTEM

- Font size system (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
Semi-bold: 600
Bold: 700

- Line heights
Default: 1
Small: 1.05
Medium: 1.2
Paragraph default: 1.6

- Letter spacing
-0.5px
0.75px

--- 02 COLORS

- Primary: #fff
- Secondary: #6f9487
- Accents: #f8db8f
- Greys:
#767676 (lightest grey allowed on #fff)
#555
#444
#333

--- 05 SHADOWS

0 2.4rem 4.8rem rgba(0, 0, 0, 0.15);

--- 06 BORDER-RADIUS

Default: 9px
Medium: 11px

--- 07 WHITESPACE

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-color: #fff; /*#fbf8f3;*/
  --neutral-color-beige: #f4efea;
  --secondary-color: #6f9487; /* #96b0a2 #A3C9A8 #8FC0C3 #98B4A6 #8FC0C3 #6a92a1 #78a1bb  */
  --secondary-color-tint10: #64857a;
  --secondary-color-tint20: #59766c;
  --secondary-color-tint30: #4e685f;
  --secondary-color-shade20: #8ca99f;
  --secondary-color-shade50: #b7cac3;
  --secondary-color-shade60: #c5d4cf;
  --secondary-color-shade70: #d4dfdb; /* #e0e7e3;*/
  --secondary-color-shade80: #e2eae7;
  --secondary-color-shade90: #f1f4f3;
  --tertiary-color: #f8db8f; /* #f8db8f #3F5E5A; #f8ad9d; #e8a87c;  #e58f66; */
  --tertiary-color-tint10: #dfc581;
  --tertiary-color-shade20: #f9e2a5;
  --tertiary-color-shade30: #fae6b1;
  --tertiary-color-shade40: #fbe9bc;
  --tertiary-color-shade60: #fcf1d2;
  --tertiary-color-shade70: #fdf4dd;
  --tertiary-color-shade80: #fef8e9;
  --tertiary-color-shade90: #fefbf4;
  --grey-dark: #333;
  --grey-medium: #444;
  --grey-light: #555;

  --offering-border-color-top: #f8f6f2;
  --offering-background-color: #f0ece7; /* #f1eee8 #f7f9f8;*/
  --offering-box-color: #fdfcfb;
  --practice-border-color-top: #d3e0da;
  --practice-background-color: #e2ede8; /* #dce9e3 #e7ede9; #efeeea #e7ede9 #e1e9e4;  #F4EFEA #d4e7e2;*/
  --practice-border-color-bottom: #d3e0da; /*#f0f1ed;*/
  --aboutme-background-color: #f7f3ec; /* #f3f4f1;*/
  --aboutme-accordion-header-color: #dcd9d2; /*#f7f5f2; #f0dab0;*/
  --aboutme-accordion-headertext-color: var(--primary-color); /*#444*/
  --aboutme-accordion-headerdark-color: #c6c3bd; /*#d8c49e*/
  --aboutme-accordion-panel-color: var(
    --offering-box-color
  ); /* #fbfaf8; #fafaf6; var(--secondary-color-shade70);*/
  --referrer-border-color-top: #e6ebe7;
  --referrer-background-color: #c7d9d0; /*#dde6e0; #f3f0e6; #f3e0b4;*/
  --referrer-border-color-bottom: #f0f4f2; /* #faf2e1;*/
  --pricing-box-header-color: var(--secondary-color); /*#f4e3bf;*/
  --pricing-box-headertext-color: var(--primary-color);
  --pricing-box-color: #f5f8f6; /* #fbfcfb; #f5f7f4;*/
}

html {
  /* 10px divided by 16px (default font size) results in 62.5% */
  /* Percentage of user's browser font-size setting */
  font-size: 62.5%;
  overflow-x: hidden;
  /*scroll-behavior: smooth;*/
}

body {
  font-family: Rubik, sans-serif;
  line-height: 1;
  font-weight: 400;
  color: var(--grey-light);
  background-color: var(--primary-color);

  /* This only works if no element is positioned as "absolute" in relation to the body */
  overflow-x: hidden;
}

/*****************************************/
/* GENERAL REUSABLE COMPONENTS */
/*****************************************/

.container {
  max-width: 130rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--2-cols-center {
  grid-template-columns: repeat(2, 1fr);
  column-gap: 0rem;
  align-items: center;
}

.grid--2by2-matrix {
  grid-template-columns: 1fr 1fr; /* Zwei Spalten, jeweils 1fr breit */
  grid-template-rows: 1fr 1fr; /* Zwei Zeilen, jeweils 1fr hoch */
  column-gap: 6.4rem;
  row-gap: 4rem;
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.heading-primary,
.heading-secondary {
  font-family: Baskervville, serif;
  font-weight: 700;
  color: var(--grey-dark);
  letter-spacing: -0.5px;
}

.heading-primary {
  font-size: 10.4rem;
  line-height: 1.05;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 4.8rem;
}

.heading-tertiary {
  font-size: 2.4rem;
  line-height: 1.6;
  margin-bottom: 2.4rem;
}

.subheading {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: var(--secondary-color-tint20);
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  text-decoration: none;
  font-size: 2rem;
  font-weight: 600;
  padding: 1.6rem 3.2rem;
  border-radius: 9px;
  /* Always put transition on original state */
  transition: all 0.3s;

  /*Only necessary for .btn*/
  border: none;
  cursor: pointer;
  font-family: inherit;
}

.btn--full:link,
.btn--full:visited {
  background-color: var(--tertiary-color);
  color: var(--grey-medium);
}

.btn--full:hover,
.btn--full:active {
  background-color: var(--tertiary-color-tint10);
  color: var(--grey-medium);
}

.btn--outline:link,
.btn--outline:visited {
  background-color: var(--secondary-color-shade70);
  color: var(--grey-light);
}

.btn--outline:hover,
.btn--outline:active {
  background-color: var(--secondary-color-shade60);
  color: var(--grey-light);
  /* Trick to add border inside */
  box-shadow: inset 0 0 0 3px var(--secondary-color-shade60);
}

.btn--dark:link,
.btn--dark:visited {
  background-color: var(--secondary-color-tint10);
  color: var(--primary-color);
}

.btn--dark:hover,
.btn--dark:active {
  background-color: var(--secondary-color-tint20);
  color: var(--primary-color);
}

.margin-right-sm {
  margin-right: 1.6rem !important;
}

.features-icon {
  fill: var(--aboutme-accordion-headertext-color);
  width: 2.4rem;
  height: 2.4rem;
}

.features-icon-small-light {
  fill: var(--primary-color);
  width: 1.6rem;
  height: 1.6rem;
  vertical-align: text-bottom;
}

.features-icon-dark {
  fill: var(--grey-light);
  width: 2.4rem;
  height: 2.4rem;
  vertical-align: text-bottom;
}

.icon-text {
  display: flex;
  gap: 1.6rem;
  align-items: center;
}

a {
  color: inherit; /* Inherits the color from the parent element */
  text-decoration: none; /* Removes the underline */
}

.sectionborder1 {
  margin: -3px;
}

.sectionborder2 {
  margin: -5px;
}

.sectionborder3 {
  margin: -6px;
}

/*****************************************/
/* HEADER */
/*****************************************/
.header {
  position: fixed;
  top: 0;
  z-index: 1000;
  width: 100%;

  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--secondary-color);
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);

  /* Because we want the header to be sticky later, we set a fixed height*/
  height: 8rem;
  transition: height 0.3s;
  padding: 0 4.8rem;
}

.sticky {
  height: 6.4rem;
  transition: height 0.3s;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.logo {
  height: 6rem;
}

/*****************************************/
/* NAVIGATION */
/*****************************************/
.main-nav-list-logo {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 1.2rem;
}

.main-nav-link-logo:link,
.main-nav-link-logo:visited {
  display: inline-block;
  text-decoration: none;
  color: var(--primary-color);
  font-size: 1.8rem;
  transition: all 0.3s;
  font-family: Baskervville, serif;
  font-weight: 300;
  letter-spacing: 0.5px;
}

.main-nav-link-logo:hover,
.main-nav-link-logo:active {
  color: var(--primary-color);
}

.main-nav-list {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 4.8rem;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: var(--primary-color);
  font-weight: 500;
  font-size: 1.8rem;
  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: var(--primary-color);
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: var(--grey-medium);
  background-color: var(--tertiary-color);
}
.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: var(--tertiary-color-tint10);
}

/*****************************************/
/* HERO SECTION */
/*****************************************/

.section-hero {
  padding: 19.2rem 0 19.2rem 0;
}

.hero-text-container {
  max-width: 120rem;
  padding: 0 6.4rem 0 6.4rem;
  margin: 0 auto;
}

.hero-description {
  font-size: 2rem;
  line-height: 1.6;
  margin-bottom: 4.8rem;
}

.hero-img-box {
  padding: 0 6.4rem 0 0;
}

.hero-img {
  width: 100%;
  border-radius: 11px;
}

/*****************************************/
/* OFFERINGS SECTION */
/*****************************************/

.section-offerings {
  padding: 9.6rem 0 9.6rem 0;
  background-color: var(--offering-background-color);
}

.section-offering-border-color-top {
  stop-color: var(--offering-border-color-top);
}

.section-offering-background-color {
  stop-color: var(--offering-background-color);
}

.offering-description {
  font-size: 2rem;
  line-height: 1.6;
  margin-bottom: 4.8rem;
}

.offering-description-padding-1stcard {
  padding: 9.6rem 4.8rem 0rem 4.8rem;
}

.offering-description-padding-2ndcard {
  padding: 9.6rem 4.8rem 4.8rem 4.8rem;
}

#statement1,
#statement2,
#statement3 {
  transition: opacity 0.5s ease-in-out;
}

.marker-effect {
  background: linear-gradient(transparent 60%, #f8db8f 60%);
}

/* Styles for the box */
.box {
  width: 100%; /* Adjust width as needed */
  border-radius: 9px; /* Rounded corners */
  overflow: hidden; /* Ensures rounded edges apply to inner content */
  background-color: var(--secondary-color-shade70);
}

.box-offering-statements1 {
  font-size: 2.8rem;
  font-style: italic;
  line-height: 1.6;
  text-align: center;
  padding: 1.6rem 6.4rem 1.6rem 9.6rem;
}

.box-offering-statements2 {
  font-size: 2.8rem;
  font-style: italic;
  line-height: 1.6;
  text-align: center;
  padding: 1.6rem 9.6rem 1.6rem 6.4rem;
}

.box-offering-statements3 {
  display: none;
}

.statement {
  position: relative;
  font-style: italic;
  padding: 1.5rem 2rem;
}

.statement::before,
.statement::after {
  font-family: serif;
  font-size: 10rem;
  color: var(--secondary-color); /* Primärfarbe deiner Coaching-Seite */
  position: absolute;
}

.statement::before {
  content: "“";
  top: -5rem;
  left: -5rem;
}

.statement::after {
  content: "”";
  bottom: -10rem;
  right: -3rem;
}

/* Stil für den Pfeil */
.down-arrow-animation {
  bottom: 10px; /* Der Pfeil wird am unteren Rand der ersten Sektion platziert */
  left: 50%;
  font-size: 2rem; /* Größe des Pfeils */
  color: var(--secondary-color); /* Deine Primärfarbe */
  opacity: 0; /* Der Pfeil ist standardmäßig unsichtbar */
  transition: opacity 1s ease-in-out; /* Sanfter Übergang für die Sichtbarkeit */
}

.down-arrow {
  display: flex;
  justify-content: center;
  font-size: 4rem;
  /*margin-bottom: 4.8rem;*/
}

/* Animation für den Pfeil */
@keyframes fadeInDown {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Animation für den Pfeil (Ausblenden) */
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.box-offering {
  width: 100%; /* Adjust width as needed */
  border-radius: 16px; /* Rounded corners */
  overflow: hidden; /* Ensures rounded edges apply to inner content */
  background-color: var(--offering-box-color);
  border: 1px solid #eceae6;
  padding: 2rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.03);
  /* transition: background 0.3s ease; */
}

.box-offering-header {
  padding: 0.8rem 3.2rem 0.8rem 3.2rem;
  font-size: 2.8rem;
  font-weight: 600;
  text-align: center;
  line-height: 1.6;

  position: relative;
  margin-bottom: 2rem;
}

.box-offering-header::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -8px;
  width: 30%;
  height: 2px;
  background-color: #787674;
  border-radius: 1px;
}

.box-body-offering-details {
  padding: 1.6rem 3.2rem 3.2rem 3.2rem;
  font-size: 1.6rem;
  line-height: 1.6;
}

/*****************************************/
/* PRACTICE SECTION */
/*****************************************/

.section-practice {
  padding: 19.2rem 0 19.2rem 0;
  background-color: var(--practice-background-color);
  margin: -2px;
}

.sectionborder1 {
  background-color: var(--offering-background-color);
}

.section-practice-border-color-top {
  stop-color: var(--practice-border-color-top);
}

.section-practice-background-color {
  stop-color: var(--practice-background-color);
}

.section-practice-border-color-bottom {
  stop-color: var(--practice-border-color-bottom);
}

.practice-gallery {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.6rem;
  padding: 3.2rem 3.2rem 0 3.2rem;
}

.gallery-item img {
  display: block;
  width: 100%;
  height: 100%; /*26rem;*/
  object-fit: cover;
  border-radius: 11px;
}

.practice-img-mobile {
  display: none;
}

/*****************************************/
/* ABOUT ME SECTION */
/*****************************************/
.section-aboutme {
  padding: 9.6rem 0 19.2rem 0;
  margin: 0;
  background-color: var(--aboutme-background-color);
}

.sectionborder3 {
  background-color: var(--aboutme-background-color);
}

.aboutme-img-box {
  padding: 3.2rem 3.2rem 0 3.2rem;
}

.highlighted-bold {
  font-weight: bold;
}

.highlighted-italic {
  font-style: italic;
}

.accordion-box {
  margin: 2rem auto;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.02);
}

.accordion {
  background-color: var(--aboutme-accordion-header-color);
  color: var(--grey-light);
  font-size: 2rem;
  font-weight: 600;
  padding: 1.6rem 3.2rem;
  width: 100%;
  border: none;
  text-align: center;
  display: flex;
  align-items: center;
  gap: 1.6rem;
  cursor: pointer;

  transition: 0.4s;
  outline: none;
}

.accordion-top {
  border-radius: 16px 16px 0 0;
}

.active,
.accordion:hover {
  background-color: var(--aboutme-accordion-headerdark-color);
}

.accordion:after {
  content: "\002B";
  float: right;
  margin-left: auto;

  font-size: 2.4rem;
  color: var(--grey-light);
}

.active:after {
  content: "\2212";
}

.accordion svg {
  width: 2.4rem;
  height: 2.4rem;
  fill: var(--grey-light);
}

.panel {
  background-color: var(--aboutme-accordion-panel-color); /* #fbfaf8;*/
  font-size: 1.6rem;
  line-height: 1.6;
  border: 1px solid #eceae6;
  border-top: none;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.02);
  overflow: hidden;
  transition: max-height 0.3s ease-out;

  padding: 0 1.6rem;
  max-height: 0;
}

.panel-bottom {
  border-radius: 0 0 16px 16px;
}

.content-description {
  margin: 1.6rem 1.6rem 3.2rem 1.6rem;
  padding: 0;
  list-style: disc;
  padding-left: 2.4rem;
  color: var(--grey-light);
}

.badge-img {
  width: 20%;
}

/*****************************************/
/* REFERRER SECTION */
/*****************************************/
.section-referrer {
  padding: 9.6rem 0 19.2rem 0;
  background-color: var(--referrer-background-color);
  margin: -2px;
}

.section-referrer-border-color-top {
  stop-color: var(--referrer-border-color-top);
}

.section-referrer-background-color {
  stop-color: var(--referrer-background-color);
}

.section-referrer-border-color-bottom {
  stop-color: var(--referrer-border-color-bottom);
}

.pricing-description {
  padding: 0 4.8rem 0 4.8rem;
}

.box-pricing {
  width: 100%; /* Adjust width as needed */
  border-radius: 16px; /* Rounded corners */
  overflow: hidden; /* Ensures rounded edges apply to inner content */
  background-color: var(--pricing-box-color);
  border: 1px solid #d2dad5;
  padding: 2rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.03);
}

.box-pricing-header {
  padding: 0.8rem 3.2rem 0.8rem 3.2rem;
  font-size: 2.8rem;
  font-weight: 600;
  text-align: center;
  line-height: 1.6;

  position: relative;
  margin-bottom: 2rem;
}

.box-pricing-header::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -8px;
  width: 30%;
  height: 2px;
  background-color: var(--secondary-color-shade20);
  border-radius: 1px;
}

.box-body-pricing-price {
  padding: 1.6rem 3.2rem 1.6rem 3.2rem;
  font-size: 4rem;
  font-weight: 600;
  text-align: center;
  line-height: 1.6;
  background-color: var(--pricing-box-color);
}

.box-body-pricing-details {
  padding: 0.8rem 3.2rem 1.6rem 3.2rem;
  font-size: 1.6rem;
  line-height: 1.6;
  background-color: var(--pricing-box-color);
}

.footnote-pricing {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 3.2rem;
}

/*****************************************/
/* CTA SECTION */
/*****************************************/

.section-cta {
  padding: 11.2rem 0 9.6rem 0;
}

.cta-text {
  font-size: 1.8rem;
  line-height: 1.6;
  margin-bottom: 4.8rem;
}

.cta-text-no-margin {
  font-size: 1.8rem;
  line-height: 1.6;
}

.box-body-rose {
  padding: 1.6rem 3.2rem 1.6rem 3.2rem;
  background-color: var(--tertiary-color-shade40);
}

.qrcode-container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.qrcode-image-text {
  text-align: center;
}

.vcard-btn {
  display: none;
}

#winterthurkarte_small {
  display: none;
}

/*****************************************/
/* FOOTER */
/*****************************************/

.footer {
  background-color: var(--secondary-color);
  padding: 5.6rem 0 0 0;
  border-top: 1px solid #eee;
}

.container-footer {
  max-width: 150rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.logo-col,
.address-col,
.info-col {
  font-size: 1.4rem;
  line-height: 1.8rem;
  margin-bottom: 4.8rem;
  color: var(--primary-color);
  justify-self: center;
}

.logo-col {
  justify-items: center;
}

.footer-heading {
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 3.2rem;
}

.contacts {
  font-style: normal;
}

.address {
  margin-bottom: 2.4rem;
}

.info-nav {
  list-style: none;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  color: var(--primary-color);
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: var(--primary-color);
}

/*****************************************/
/* DATENSCHUTZERKLAERUNG */
/*****************************************/

.paragraph-inbetween,
.paragraph-inbetween-pre-ul,
.paragraph-last {
  font-size: 2rem;
  line-height: 1.6;
}

.paragraph-inbetween {
  padding-bottom: 2.8rem;
}

.paragraph-last {
  padding-bottom: 4.8rem;
}

/*****************************************/
/* LIGHTBOX */
/*****************************************/

.lightbox {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}
.lightboxContent {
  background: var(--primary-color);
  padding: 3.2rem;
  max-width: 120rem;
  width: 90%;
  max-height: 80vh; /* Limits the height to 80% of the viewport */
  overflow-y: auto; /* Enables vertical scrolling */
  border-radius: 9px;
  position: relative;
}

.lightboxContent-ul {
  padding-top: 1.2rem;
  padding-left: 2.4rem;
}

.closeLightbox {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  font-size: 1.5rem;
}

/*****************************************/
/* HAMBURGER MENU */
/*****************************************/

*,
*::after,
*::before {
  box-sizing: border-box;
}

:root {
  --bar-width: 50px;
  --bar-height: 5px;
  --hamburger-gap: 6px;
  --foreground: #333;
  --background: white;
  --hamburger-margin: 8px;
  --animation-timing: 200ms ease-in-out;
  --hamburger-height: calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2);
}

.hamburger-menu {
  --x-width: calc(var(--hamburger-height) * 1.41421356237);

  display: none; /*needs to change to flex*/
  flex-direction: column;
  gap: var(--hamburger-gap);
  width: max-content;
  /*position: absolute;*/
  top: var(--hamburger-margin);
  left: var(--hamburger-margin);
  z-index: 2;
  cursor: pointer;
}

.hamburger-menu:has(input:checked) {
  --foreground: white;
  --background: #333;
}

.hamburger-menu:has(input:focus-visible)::before,
.hamburger-menu:has(input:focus-visible)::after,
.hamburger-menu input:focus-visible {
  border: 1px solid var(--background);
  box-shadow: 0 0 0 1px var(--foreground);
}

.hamburger-menu::before,
.hamburger-menu::after,
.hamburger-menu input {
  content: "";
  width: var(--bar-width);
  height: var(--bar-height);
  background-color: var(--primary-color);
  border-radius: 9999px;
  transform-origin: right center;
  transition: opacity var(--animation-timing), width var(--animation-timing),
    rotate var(--animation-timing), translate var(--animation-timing),
    background-color var(--animation-timing);
}

.hamburger-menu input {
  appearance: none;
  outline: none;
  pointer-events: none;
}

.hamburger-menu:has(input:checked)::before {
  rotate: -45deg;
  width: var(--x-width);
  translate: 0 calc(var(--bar-height) / -2);
}

.hamburger-menu:has(input:checked)::after {
  rotate: 45deg;
  width: var(--x-width);
  translate: 0 calc(var(--bar-height) / 2);
}

.hamburger-menu input:checked {
  opacity: 0;
  width: 0;
}

.sidebar {
  transition: translate var(--animation-timing);
  translate: -100%;
  padding: 0.5rem 1rem;
  padding-top: calc(var(--hamburger-height) + var(--hamburger-margin) + 1rem);
  background-color: var(--foreground);
  color: var(--background);
  max-width: 10rem;
  min-height: 100vh;
}

.hamburger-menu:has(input:checked) + .sidebar {
  translate: 0;
}
